Start per-account OAuth flow
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/agents/{agentId}/accounts/oauth/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redirectUri": "<string>",
"accountIdentifier": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/agents/{agentId}/accounts/oauth/authorize"
payload = {
"redirectUri": "<string>",
"accountIdentifier": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({redirectUri: '<string>', accountIdentifier: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/agents/{agentId}/accounts/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"authorizationUrl": "<string>",
"agentId": "<string>",
"agentName": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront Agents
Start per-account OAuth flow
Initiate the OAuth flow for per-account agent registration. Tokens are stored against the buyer/operator account that the OAuth grant represents.
POST
/
agents
/
{agentId}
/
accounts
/
oauth
/
authorize
Start per-account OAuth flow
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/agents/{agentId}/accounts/oauth/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redirectUri": "<string>",
"accountIdentifier": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/agents/{agentId}/accounts/oauth/authorize"
payload = {
"redirectUri": "<string>",
"accountIdentifier": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({redirectUri: '<string>', accountIdentifier: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/agents/{agentId}/accounts/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"authorizationUrl": "<string>",
"agentId": "<string>",
"agentName": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Minimum string length:
1Body
application/json